import { jsx } from "react/jsx-runtime";
import { Upload as Upload$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Upload = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Upload", ...props, children: /* @__PURE__ */ jsx(Upload$1, { weight: variant }) });
  }
);
Upload.displayName = "Upload";
Object.assign(Upload, { isGdsIcon: true });
export {
  Upload
};
